

function pausepad()
ppad = Controls.read()
	if ppad:cross() then
	dofile "resume.lua"
end
end

while true do

pausepad()
screen:clear()
screen:blit(bx, by, bg)
screen:blit(bx, by, bg)
screen:blit(bx+480, by, bg)
screen:blit(bx+960, by, bg)
screen:blit(bx+1440, by, bg)
screen:blit(bx+1920, by, bg)
screen:blit(bx+2400, by, bg)
screen:blit(bx+2880, by, bg)
screen:blit(bx+3360, by, bg)
screen:blit(bx+3840, by, bg)
screen:blit(bx+4320, by, bg)
screen:blit(bx+4800, by, bg)
screen:blit(bx+5280, by, bg)
screen:blit(bx+5600, by, finish)
screen:blit(bx+5760, by, bg)
screen:blit(bx+6240, by, bg)
screen:blit(x, y, car)
screen:blit(aix, aiy, ai)
screen:blit(0, 0, dash)
screen:blit(395, 203, boot)
screen:blit(kx, ky, knob)
screen:print(155, 245, rpm, red)
screen:print(315, 245, mph, red)
screen:print(55, 213, time/25, red)
screen:print(20, 213, "TIME", red)
screen:print(55, 235, nosremain, red)
screen:print(20, 235, "NOS", red)
screen:blit(0, 0, pausescreen)
screen:print(190, 136, "PAUSED", white)
screen:print(150, 156, "Press X To Resume", white)
screen:flip()
screen.waitVblankStart()
end
